[9300 / 730i] power manager crash when using nvidia drivers < 185.18

Bug #377370 reported by Anthony Martinez on 2009-05-16
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-power-manager (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-180 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: gnome-power-manager

Ubuntu 9.04 32
gnome-power-manager

I know most reports of this nature concern notebooks, but this is a desktop.
gpm screen opens OK, but immediately after trying to move sliders system goes to hard freeze,
must reboot. This is a fresh install. Able to edit screen blank/sleep options with gconf which worked OK.
System: Zotac GF9300-A-E (nvidia 730i/9300) integrated graphics

The following is from another poster with the same motherboard chipset:

----System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics motherboard.

ubuntu 9.04 + nvidia 180 driver
Opening power management from the system -> preferences menu causes the computer to hang 100% of the time. The mouse pointer moves, but nothing is selectable and the computer has to be reset via the power switch.

ubuntu 9.04 + nvidia 173 driver
Power management will open but appears as a completely blank window. Minimising & reopening a few times gets the sleep time slider bars to appear, but nothing appears to work. However dragging the sliders with the mouse does change the setting - it just isn't visible until you minimise and reopen the window again. N.B. The 173 graphics driver is no good for me, lots of corruption and web pages don't show properly

ubuntu 8.10 + nvidia 177 driver
Opening power management causes a system freeze and the sliders don't work, or the window appears blank----

ProblemType: Bug
ACAdapter: Not Present
Architecture: i386
Battery: Not Present
CPUScaling: Present
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/gnome-power-manager
LaptopPanel: Not Present
Lsusb:
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: NVIDIA MCP7A
NonfreeKernelModules: nvidia
Package: gnome-power-manager 2.24.2-2ubuntu8
ProcCmdLine: root=UUID=7cfbe1fa-72c5-40fb-baac-b6f5524cefdd ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
SourcePackage: gnome-power-manager

Anthony Martinez (comeheresam) wrote :
screig (screig) wrote :

I have the same motherboard:

     System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics motherboard.

And I have the same issues with the power management tool. Running Jaunty 64 bit.

Scott Howard (showard314) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

First, lets see if apport (Ubuntu's automatic crash information collection system) can catch this by doing the following:
1) type into the terminal: "sudo force_start=1 /etc/init.d/apport restart"
2) cause the crash in GPM as you described
3) if successfully, it will guide you through posting a new bug on launchpad. After submitting the bug, post a link to that bug report here.

Also,please try the following:
1) enter into the terminal: "killall gnome-power-manager"
2) then enter into the terminal: "gnome-power-manager --no-daemon --verbose > GPMtrace.log"
3) cause the crash in GPM
4) include GPMtrace.log as an attachment to this bug report (even if your computer crashed/locked up)

Thank you in advance

Changed in gnome-power-manager (Ubuntu):
status: New → Incomplete
Mark Cariaga (mzc) wrote :

Hi Scott,

I also experience this bug. mine is the Zotac ION ( Zotac IONITX-A MINI-ITX Intel Atom N330 MCP7A-ION DDR2 GBLAN 802.11N Video Audio 90W PSU Motherboard ) . I hope the GPMtrace.log attached can help solve this bug. I'll to do the first one in a few minutes.

Mark Cariaga (mzc) wrote :

I tried the first one..Unfortunately Apport did not load. I'm not very familiar with cli in linux as compared to troubleshooting the common man's xp os. Please let me know how I could help to solve this bug.

:)

Scott Howard (showard314) wrote :

@mzc: Thank you for the GPM trace. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Karmic Koala. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/. Thanks again and we appreciate your help.

Thanks howard i'll try to burn the daily build - deskptop. would this
do?

On Sun, 2009-07-12 at 14:02 +0000, Scott Howard wrote:
> @mzc: Thank you for the GPM trace. The issue that you reported is one
> that should be reproducible with the live environment of the Desktop CD
> of the development release - Karmic Koala. It would help us greatly if
> you could test with it so we can work on getting it fixed in the next
> release of Ubuntu. You can find out more about the development release
> at http://www.ubuntu.com/testing/. Thanks again and we appreciate your
> help.
>

Scott Howard (showard314) wrote :
Download full text (3.4 KiB)

Thanks for testing it. The daily live would be the best!
http://cdimage.ubuntu.com/daily-live/current/

if that doesn't work, you can try Alpha 2, but it should work.

http://cdimage.ubuntu.com/releases/karmic/alpha-2/

On Mon, Jul 13, 2009 at 11:06 PM, mzc<email address hidden> wrote:
> Thanks howard i'll try to burn the daily build - deskptop. would this
> do?
>
> On Sun, 2009-07-12 at 14:02 +0000, Scott Howard wrote:
>> @mzc: Thank you for the GPM trace.  The issue that you reported is one
>> that should be reproducible with the live environment of the Desktop CD
>> of the development release - Karmic Koala.  It would help us greatly if
>> you could test with it so we can work on getting it fixed in the next
>> release of Ubuntu.  You can find out more about the development release
>> at http://www.ubuntu.com/testing/.  Thanks again and we appreciate your
>> help.
>>
>
> --
> power manager crash
> https://bugs.launchpad.net/bugs/377370
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-power-manager” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Ubuntu 9.04 32
> gnome-power-manager
>
> I know most reports of this nature concern notebooks, but this is a desktop.
> gpm screen opens OK, but immediately after trying to move sliders system goes to hard freeze,
> must reboot. This is a fresh install.  Able to edit screen blank/sleep options with gconf which worked OK.
> System: Zotac GF9300-A-E (nvidia 730i/9300) integrated graphics
>
> The following is from another poster with the same motherboard chipset:
>
> ----System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics motherboard.
>
> ubuntu 9.04 + nvidia 180 driver
> Opening power management from the system -> preferences menu causes the computer to hang 100% of the time. The mouse pointer moves, but nothing is selectable and the computer has to be reset via the power switch.
>
> ubuntu 9.04 + nvidia 173 driver
> Power management will open but appears as a completely blank window. Minimising & reopening a few times gets the sleep time slider bars to appear, but nothing appears to work. However dragging the sliders with the mouse does change the setting - it just isn't visible until you minimise and reopen the window again. N.B. The 173 graphics driver is no good for me, lots of corruption and web pages don't show properly
>
> ubuntu 8.10 + nvidia 177 driver
> Opening power management causes a system freeze and the sliders don't work, or the window appears blank----
>
> ProblemType: Bug
> ACAdapter: Not Present
> Architecture: i386
> Battery: Not Present
> CPUScaling: Present
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/bin/gnome-power-manager
> LaptopPanel: Not Present
> Lsusb:
>  Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>  Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>  Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>  Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: NVIDIA MCP7A
> NonfreeKernelModules: nvidia
> Package: gn...

Read more...

Mark Cariaga (mzc) wrote :
Download full text (6.1 KiB)

Hi Scott,

Issue has been resolved by applying the 185.18 drivers using the method
from Ian - ubuntuforums:

http://ubuntuforums.org/showthread.php?t=1125400&highlight=nvidia+ion

On Tue, 2009-07-14 at 12:14 +0000, Scott Howard wrote:
> Thanks for testing it. The daily live would be the best!
> http://cdimage.ubuntu.com/daily-live/current/
>
> if that doesn't work, you can try Alpha 2, but it should work.
>
> http://cdimage.ubuntu.com/releases/karmic/alpha-2/
>
>
> On Mon, Jul 13, 2009 at 11:06 PM, mzc<email address hidden> wrote:
> > Thanks howard i'll try to burn the daily build - deskptop. would this
> > do?
> >
> > On Sun, 2009-07-12 at 14:02 +0000, Scott Howard wrote:
> >> @mzc: Thank you for the GPM trace. The issue that you reported is one
> >> that should be reproducible with the live environment of the Desktop CD
> >> of the development release - Karmic Koala. It would help us greatly if
> >> you could test with it so we can work on getting it fixed in the next
> >> release of Ubuntu. You can find out more about the development release
> >> at http://www.ubuntu.com/testing/. Thanks again and we appreciate your
> >> help.
> >>
> >
> > --
> > power manager crash
> > https://bugs.launchpad.net/bugs/377370
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “gnome-power-manager” package in Ubuntu: Incomplete
> >
> > Bug description:
> > Binary package hint: gnome-power-manager
> >
> > Ubuntu 9.04 32
> > gnome-power-manager
> >
> > I know most reports of this nature concern notebooks, but this is a desktop.
> > gpm screen opens OK, but immediately after trying to move sliders system goes to hard freeze,
> > must reboot. This is a fresh install. Able to edit screen blank/sleep options with gconf which worked OK.
> > System: Zotac GF9300-A-E (nvidia 730i/9300) integrated graphics
> >
> > The following is from another poster with the same motherboard chipset:
> >
> > ----System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics motherboard.
> >
> > ubuntu 9.04 + nvidia 180 driver
> > Opening power management from the system -> preferences menu causes the computer to hang 100% of the time. The mouse pointer moves, but nothing is selectable and the computer has to be reset via the power switch.
> >
> > ubuntu 9.04 + nvidia 173 driver
> > Power management will open but appears as a completely blank window. Minimising & reopening a few times gets the sleep time slider bars to appear, but nothing appears to work. However dragging the sliders with the mouse does change the setting - it just isn't visible until you minimise and reopen the window again. N.B. The 173 graphics driver is no good for me, lots of corruption and web pages don't show properly
> >
> > ubuntu 8.10 + nvidia 177 driver
> > Opening power management causes a system freeze and the sliders don't work, or the window appears blank----
> >
> > ProblemType: Bug
> > ACAdapter: Not Present
> > Architecture: i386
> > Battery: Not Present
> > CPUScaling: Present
> > DistroRelease: Ubuntu 9.04
> > ExecutablePath: /usr/bin/gnome-power-manager
> > LaptopPanel: Not Present
> > Lsusb:
> > Bus 002 Device 001: ID 1d6b:0002 Linux ...

Read more...

Thanks for your debugging work. I'm assigning this to the nvidia driver package and confirming. Hopefully they will start including the 185 drivers soon in Karmic so this work around won't be needed.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in gnome-power-manager (Ubuntu):
status: Incomplete → Invalid
summary: - power manager crash
+ power manager crash when using nvidia drivers < 185.18
summary: - power manager crash when using nvidia drivers < 185.18
+ [9300 / 730i] power manager crash when using nvidia drivers < 185.18
Download full text (3.8 KiB)

I hope that the nvidia ion chipset will be incorporated to karmic. I think ion will create a divide between atom fanatics. But as others say the ion may eventually target nettops due to price while the intel chipset will be more on the netbook

----- Original Message -----
From: Scott Howard
Date: Monday, July 20, 2009 8:25 am
Subject: [Bug 377370] Re: power manager crash
To: <email address hidden>

> Thanks for your debugging work. I'm assigning this to the nvidia
> driverpackage and confirming. Hopefully they will start
> including the 185
> drivers soon in Karmic so this work around won't be needed.
>
> ** Also affects: nvidia-graphics-drivers-180 (Ubuntu)
>    Importance: Undecided
>        Status: New
>
> ** Changed in: nvidia-graphics-drivers-180 (Ubuntu)
>    Importance: Undecided => Medium
>
> ** Changed in: nvidia-graphics-drivers-180 (Ubuntu)
>        Status: New => Confirmed
>
> ** Changed in: gnome-power-manager (Ubuntu)
>        Status: Incomplete => Invalid
>
> ** Summary changed:
>
> - power manager crash
> + power manager crash when using nvidia drivers < 185.18
>
> ** Summary changed:
>
> - power manager crash when using nvidia drivers < 185.18
> + [9300 / 730i] power manager crash when using nvidia drivers
> < 185.18
>
> --
> [9300 / 730i] power manager crash when using nvidia drivers <
> 185.18https://bugs.launchpad.net/bugs/377370
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-power-manager” package in Ubuntu: Invalid
> Status in “nvidia-graphics-drivers-180” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Ubuntu 9.04 32
> gnome-power-manager
>
> I know most reports of this nature concern notebooks, but this
> is a desktop.
> gpm screen opens OK, but immediately after trying to move
> sliders system goes to hard freeze,
> must reboot. This is a fresh install.  Able to edit screen
> blank/sleep options with gconf which worked OK.
> System: Zotac GF9300-A-E (nvidia 730i/9300) integrated graphics
>
> The following is from another poster with the same motherboard
> chipset:
> ----System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics
> motherboard.
> ubuntu 9.04 + nvidia 180 driver
> Opening power management from the system -> preferences menu
> causes the computer to hang 100% of the time. The mouse pointer
> moves, but nothing is selectable and the computer has to be
> reset via the power switch.
>
> ubuntu 9.04 + nvidia 173 driver
> Power management will open but appears as a completely blank
> window. Minimising & reopening a few times gets the sleep time
> slider bars to appear, but nothing appears to work. However
> dragging the sliders with the mouse does change the setting - it
> just isn't visible until you minimise and reopen the window
> again. N.B. The 173 graphics driver is no good for me, lots of
> corruption and web pages don't show properly
>
> ubuntu 8.10 + nvidia 177 driver
> Opening power management causes a system freeze and the sliders
> don't work, or the window appears blank----
>
> ProblemType: Bug
> ACAdapter: Not Present
> Architecture: i386
> Battery: No...

Read more...

Mark Cariaga (mzc) wrote :
Download full text (6.2 KiB)

Hi Scott,

I'm regularly testing the karmic daily build. As of 20090724, the gdm
does not load properly and goes to cli, asking for login(development
brach). I've filed this under bug#404577.

Please advise.

On Tue, 2009-07-14 at 12:14 +0000, Scott Howard wrote:
> Thanks for testing it. The daily live would be the best!
> http://cdimage.ubuntu.com/daily-live/current/
>
> if that doesn't work, you can try Alpha 2, but it should work.
>
> http://cdimage.ubuntu.com/releases/karmic/alpha-2/
>
>
> On Mon, Jul 13, 2009 at 11:06 PM, mzc<email address hidden> wrote:
> > Thanks howard i'll try to burn the daily build - deskptop. would this
> > do?
> >
> > On Sun, 2009-07-12 at 14:02 +0000, Scott Howard wrote:
> >> @mzc: Thank you for the GPM trace. The issue that you reported is one
> >> that should be reproducible with the live environment of the Desktop CD
> >> of the development release - Karmic Koala. It would help us greatly if
> >> you could test with it so we can work on getting it fixed in the next
> >> release of Ubuntu. You can find out more about the development release
> >> at http://www.ubuntu.com/testing/. Thanks again and we appreciate your
> >> help.
> >>
> >
> > --
> > power manager crash
> > https://bugs.launchpad.net/bugs/377370
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “gnome-power-manager” package in Ubuntu: Incomplete
> >
> > Bug description:
> > Binary package hint: gnome-power-manager
> >
> > Ubuntu 9.04 32
> > gnome-power-manager
> >
> > I know most reports of this nature concern notebooks, but this is a desktop.
> > gpm screen opens OK, but immediately after trying to move sliders system goes to hard freeze,
> > must reboot. This is a fresh install. Able to edit screen blank/sleep options with gconf which worked OK.
> > System: Zotac GF9300-A-E (nvidia 730i/9300) integrated graphics
> >
> > The following is from another poster with the same motherboard chipset:
> >
> > ----System: Asus P5N7A-VM (nvidia 730i/9300) integrated graphics motherboard.
> >
> > ubuntu 9.04 + nvidia 180 driver
> > Opening power management from the system -> preferences menu causes the computer to hang 100% of the time. The mouse pointer moves, but nothing is selectable and the computer has to be reset via the power switch.
> >
> > ubuntu 9.04 + nvidia 173 driver
> > Power management will open but appears as a completely blank window. Minimising & reopening a few times gets the sleep time slider bars to appear, but nothing appears to work. However dragging the sliders with the mouse does change the setting - it just isn't visible until you minimise and reopen the window again. N.B. The 173 graphics driver is no good for me, lots of corruption and web pages don't show properly
> >
> > ubuntu 8.10 + nvidia 177 driver
> > Opening power management causes a system freeze and the sliders don't work, or the window appears blank----
> >
> > ProblemType: Bug
> > ACAdapter: Not Present
> > Architecture: i386
> > Battery: Not Present
> > CPUScaling: Present
> > DistroRelease: Ubuntu 9.04
> > ExecutablePath: /usr/bin/gnome-power-manager
> > LaptopPanel: Not Present
> > Lsusb:
> > Bus 002...

Read more...

Bryce Harrington (bryce) on 2009-08-13
tags: added: jaunty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers